VERSION 5.00
Begin VB.UserControl LabelList 
   BackColor       =   &H0080FF80&
   ClientHeight    =   1770
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1695
   ScaleHeight     =   1770
   ScaleWidth      =   1695
End
Attribute VB_Name = "LabelList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'Default Property Values:
Const m_def_Caption = """"

'Property Variables:
Dim m_Caption() As String
Dim m_NumCaptions As Integer



Public Property Get Caption(ByVal Index As Integer) As String
    ' Do not allow indexes < 1.
    If Index < 1 Then
        Err.Raise 380, "LabelList.Caption", _
            "Caption index must be greater than zero."
    End If

    ' If the index is beyond the end of the
    ' array, return the default value.
    If Index > m_NumCaptions Then
        Caption = m_def_Caption
    Else
        Caption = m_Caption(Index)
    End If
End Property

Public Property Let Caption(ByVal Index As Integer, ByVal New_Caption As String)
    ' Do not allow indexes < 1.
    If Index < 1 Then
        Err.Raise 380, "LabelList.Caption", _
            "Caption index must be greater than zero."
    End If

    ' Make room if necessary.
    If Index > m_NumCaptions Then
        m_NumCaptions = Index
        ReDim Preserve m_Caption(1 To m_NumCaptions)
    End If

    m_Caption(Index) = New_Caption
    PropertyChanged "Caption"

    Refresh
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_NumCaptions = 0
End Sub

' Draw the captions.
Private Sub UserControl_Paint()
Dim i As Integer

    CurrentX = 0
    CurrentY = 0
    For i = 1 To m_NumCaptions
        Print m_Caption(i)
    Next i
End Sub


'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
Dim i As Integer

    ' Read the number of captions.
    m_NumCaptions = PropBag.ReadProperty("NumCaptions", 0)
    If m_NumCaptions > 0 Then
        ' Allocate room for the captions.
        ReDim m_Caption(1 To m_NumCaptions)

        For i = 1 To m_NumCaptions
            m_Caption(i) = PropBag.ReadProperty("Caption(" & Format$(i) & ")", m_def_Caption)
        Next i
    End If
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
Dim i As Integer

    PropBag.WriteProperty "NumCaptions", m_NumCaptions, 0
    If m_NumCaptions > 0 Then
        For i = 1 To m_NumCaptions
            PropBag.WriteProperty "Caption(" & Format$(i) & ")", m_Caption(i), m_def_Caption
        Next i
    End If
End Sub

